diff --git a/linux/debian/essentials/postinst b/linux/debian/essentials/postinst
index 52c815f7d5ae73074d5f0939c5609cd9c24626c0..425fddd8e584db1d5875ebc62a940823a2d66bbd 100755
--- a/linux/debian/essentials/postinst
+++ b/linux/debian/essentials/postinst
@@ -117,13 +117,13 @@ else
     #chown -R $USERMAN:$USERMAN $DAP_PREFIX
     for filename in $(find $DAP_PREFIX); do
         if [ -d $filename ]; then
-            chmod 0775 $filename
+            chmod 0775 $filename || true
         else
-            chmod 0664 $filename
+            chmod 0664 $filename || true
         fi
     done
-    chmod 0774 $DAP_PREFIX/bin/*
-    chmod 0777 $DAP_PREFIX/bin/$DAP_APP_NAME-cli
+    chmod 0774 $DAP_PREFIX/bin/* || true
+    chmod 0777 $DAP_PREFIX/bin/$DAP_APP_NAME-cli || true
     service cellframe-node start || true
     systemctl restart cellframe-node || true
     echo "[!] Done"